Subject: Re: Clone fails on a repo with too many heads/tags

From: Ivan Todoroski <[email-masked]>
Date: Sun, 25 Mar 2012 19:54:19 +0200

On 25.03.2012 19:33, Ivan Todoroski wrote:
> On 25.03.2012 04:32, Jeff King wrote:
>> On Sat, Mar 24, 2012 at 09:06:09PM -0400, Jeff King wrote:
>>
>>> That's weird. 405 is "Method Not Allowed". Clone shouldn't be doing
>>> anything more exotic than GET and POST. And the prior tests pass, so it
>>> means that it's working in general. The only thing different about this
>>> test is that apache is configured to use mod_rewrite to issue a
>>> redirect.
>>>
>>> Does your machine have mod_rewrite installed and enabled? I would think
>>> apache would complain at startup if it wasn't.  I wonder if there's
>>> something non-portable in the minimal apache config we ship.
>>>
>>> Does httpd/error.log in the trash directory say anything interesting?
>>
>> Also, does it work any better with this patch?
>>
>> diff --git a/t/lib-httpd/apache.conf b/t/lib-httpd/apache.conf
>> index 3c12b05..714760d 100644
>> --- a/t/lib-httpd/apache.conf
>> +++ b/t/lib-httpd/apache.conf
>> @@ -61,9 +61,8 @@ ScriptAlias /smart_noexport/ 
>> ${GIT_EXEC_PATH}/git-http-backend/
>>      Options ExecCGI
>>  </Files>
>>  
>> -RewriteEngine on
>> -RewriteRule ^/smart-redir-perm/(.*)$ /smart/$1 [R=301]
>> -RewriteRule ^/smart-redir-temp/(.*)$ /smart/$1 [R=302]
>> +RedirectMatch 301 ^/smart-redir-perm/(.*)$ /smart/$1
>> +RedirectMatch 302 ^/smart-redir-temp/(.*)$ /smart/$1
>>  
>>  <IfDefine SSL>
>>  LoadModule ssl_module modules/mod_ssl.so
> 
> 
> Yes! That patch did it, t5551-http-fetch.sh now passes fully. Thank you.

Ah, no... I spoke too soon.

I didn't look closely enough, I wasn't logged in at the right machine, 
sorry. :)

It's still failing on CentOS 5.8 with Apache 2.2.3. I will just find 
another machine where the test suite works.

If you'd still like to debug the problem on CentOS 5.8 I can run any 
commands or test any patches for you.